Table of Contents

Class OidcConstants.GrantTypes

Namespace
Fdyay.IdentityServer
Assembly
Fdyay.IdentityServer.Core.dll

Values of the grant_type token request parameter.

public static class OidcConstants.GrantTypes
Inheritance
OidcConstants.GrantTypes
Inherited Members

Fields

AuthorizationCode

RFC 6749 §4.1.3: redeem an authorization code.

public const string AuthorizationCode = "authorization_code"

Field Value

string

Ciba

OpenID Connect CIBA Core 1.0 §10.1: the grant a client polls with an auth_req_id.

public const string Ciba = "urn:openid:params:grant-type:ciba"

Field Value

string

ClientCredentials

RFC 6749 §4.4.2: a client asking for a token on its own behalf, with no user.

public const string ClientCredentials = "client_credentials"

Field Value

string

DeviceCode

RFC 8628 §3.4: the grant a device polls with its device code.

public const string DeviceCode = "urn:ietf:params:oauth:grant-type:device_code"

Field Value

string

RefreshToken

RFC 6749 §6: redeem a refresh token for a new access token.

public const string RefreshToken = "refresh_token"

Field Value

string

TokenExchange

RFC 8693: exchange a token this server issued for another one.

public const string TokenExchange = "urn:ietf:params:oauth:grant-type:token-exchange"

Field Value

string